Bug 1446308 - Update Hawkular Metrics to provide an alternative path which is not blocked by the uBlockOrigin browser extension
Summary: Update Hawkular Metrics to provide an alternative path which is not blocked b...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Hawkular
Version: 3.5.1
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 3.5.z
Assignee: Matt Wringe
QA Contact: Liming Zhou
URL:
Whiteboard:
Depends On: 1430888
Blocks: 1447405
TreeView+ depends on / blocked
 
Reported: 2017-04-27 16:05 UTC by Matt Wringe
Modified: 2017-05-18 09:29 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1430888
: 1447405 (view as bug list)
Environment:
Last Closed: 2017-05-18 09:29:03 UTC
Target Upstream Version:


Attachments (Terms of Use)
enabled uBlock Origin, not metrics thumbnail in overview page (143.08 KB, image/png)
2017-05-04 09:25 UTC, Junqi Zhao
no flags Details
disabled uBlock Origin, metrics thumbnail can be shown in overview page (124.22 KB, image/png)
2017-05-04 09:27 UTC, Junqi Zhao
no flags Details
disabled uBlock Origin, metrics thumbnail can be shown in overview page (151.09 KB, image/png)
2017-05-04 09:53 UTC, Junqi Zhao
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:1235 0 normal SHIPPED_LIVE OpenShift Container Platform 3.5, 3.4, 3.3, and 3.1 bug fix update 2017-05-18 13:15:52 UTC

Comment 2 Troy Dawson 2017-04-28 15:52:57 UTC
This fix for this is in image
openshift3/metrics-hawkular-metrics:3.5.0-15

Comment 9 Junqi Zhao 2017-05-04 09:24:22 UTC
@Matt, URL used in the project overview page is not blocked by uBlock Origin.
But there is one new issue, if enabled uBlock Origin, the metrics thumbnail for all pods in project overview page can not be shown, it doesn not have this isue if disabled  uBlock Origin. From your Comment 5, I think this issue should be fixed by UI team, am I right?

See the pictures

Testing env
firefox 52.0.2
uBlock Origin 1.12.1

# docker images | grep metrics
openshift3/metrics-hawkular-metrics   v3.5                941962ea6b0e        8 days ago          1.269 GB
openshift3/metrics-cassandra          v3.5                b772c8fdc7cc        11 days ago         539.5 MB
openshift3/metrics-heapster           v3.5                753c2a3738ce        11 days ago         317.9 MB
openshift3/metrics-hawkular-metrics   3.6.0               12f3f49d713a        2 weeks ago         1.293 GB
openshift3/metrics-hawkular-metrics   3.6.0-4             12f3f49d713a        2 weeks ago         1.293 GB

Comment 10 Junqi Zhao 2017-05-04 09:25:53 UTC
Created attachment 1276200 [details]
enabled uBlock Origin, not metrics thumbnail in overview page

Comment 11 Junqi Zhao 2017-05-04 09:27:08 UTC
Created attachment 1276201 [details]
disabled uBlock Origin, metrics thumbnail can be shown in overview page

Comment 12 Junqi Zhao 2017-05-04 09:53:55 UTC
Created attachment 1276213 [details]
disabled uBlock Origin, metrics thumbnail can be shown in overview page

Comment 13 Matt Wringe 2017-05-04 17:59:55 UTC
(In reply to Junqi Zhao from comment #9)
> @Matt, URL used in the project overview page is not blocked by uBlock Origin.
> But there is one new issue, if enabled uBlock Origin, the metrics thumbnail
> for all pods in project overview page can not be shown, it doesn not have
> this isue if disabled  uBlock Origin. From your Comment 5, I think this
> issue should be fixed by UI team, am I right?

Yes, for the console it still needs to be resolved by the UI team.

The Hawkular Metrics component provides a mechanism to get around the issue now, which is what the Hawkular Metrics update provides.

I will change the name of this issue to make it better reflect that it just updates Hawkular Metrics to allow for a work around and that it doesn't fix the issue with the console (which is being done in https://bugzilla.redhat.com/show_bug.cgi?id=1447405)

Comment 14 Matt Wringe 2017-05-04 18:02:41 UTC
If we want to test that Hawkular Metrics now has this alternative endpoint, we can just do something simple like verify a curl to "https://${HAWKULAR_METRICS_HOSTNAME}/hawkular/metrics/m" doesn't result in a 404 error and returns the same content as "https://${HAWKULAR_METRICS_HOSTNAME}/hawkular/metrics/metrics"

Comment 15 Junqi Zhao 2017-05-05 01:04:37 UTC
Conent of "https://${HAWKULAR_METRICS_HOSTNAME}/hawkular/metrics/m" is the same with "https://${HAWKULAR_METRICS_HOSTNAME}/hawkular/metrics/metrics"


Set it to VERIFIED according to Comment 9 and Comment 13

Comment 17 errata-xmlrpc 2017-05-18 09:29:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:1235


Note You need to log in before you can comment on or make changes to this bug.